Namespace
library
Image / Tag
swift:6.3.0-jammy-slim
Content Digest
sha256:44815a3075e32f122babebd97f991f6acf280b49c2464101cf144110be1dafdb
Details
Created

2026-04-15 21:01:31 UTC

Size

95.6 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.3-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.3-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:f63eb04151bcac21ad049f8d781b97b219aba392c5457907f8f3e88e43eb48ec - 29.65% (28.4 MB)

[#001] sha256:8678e694bd7a1ee60f2f8b0f25b02abb7085b55719bb3e800d7afac875fed8b4 - 19.17% (18.3 MB)

[#002] sha256:04fe9dd866f55a935f1a1903ea05284b3b25c32ee61ec5912924d2e99b4126f7 - 51.18% (48.9 MB)


History
2026-04-10 09:47:41 UTC

/bin/sh -c #(nop) ARG RELEASE

2026-04-10 09:47:41 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2026-04-10 09:47:41 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2026-04-10 09:47:43 UTC

/bin/sh -c #(nop) ADD file:da2cd86408d9354e8bd817c8a4b8635a1d788cd20d0d70061ce02a173e8cf902 in /

2026-04-10 09:47:44 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2026-04-15 21:00:55 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2026-04-15 21:00:55 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2026-04-15 21:00:55 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/* # buildkit

2026-04-15 21:00:55 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2026-04-15 21:00:55 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu22.04

2026-04-15 21:00:55 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.3-release

2026-04-15 21:00:55 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.3-RELEASE

2026-04-15 21:00:55 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2026-04-15 21:00:55 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.3-release SWIFT_VERSION=swift-6.3-RELEASE SWIFT_WEBROOT=https://download.swift.org

2026-04-15 21:01:31 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.3-release SWIFT_VERSION=swift-6.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg # buildkit

Details
Created

2026-04-15 21:12:37 UTC

Size

92.8 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.3-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.3-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:6edbc812af48552062d74659cf0a08b413dbfdbacdd5aac73329d889d9b3b44a - 28.36% (26.3 MB)

[#001] sha256:c809969867bf228629ca59495570f2afb13ae2977f902bbd7bf666072a08b0ff - 19.63% (18.2 MB)

[#002] sha256:a39b4169a82026e684285f4755d8e7b537875cffd3eb53dc2fde8127233a983c - 52.01% (48.3 MB)


History
2026-04-10 09:49:11 UTC

/bin/sh -c #(nop) ARG RELEASE

2026-04-10 09:49:11 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2026-04-10 09:49:11 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2026-04-10 09:49:13 UTC

/bin/sh -c #(nop) ADD file:94ca084e2c34d90b4443d18fa6a7d983767fa1575d4bd2c06f6e31adfea270da in /

2026-04-10 09:49:13 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2026-04-15 21:11:47 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2026-04-15 21:11:47 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2026-04-15 21:11:47 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/* # buildkit

2026-04-15 21:11:47 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2026-04-15 21:11:47 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu22.04

2026-04-15 21:11:47 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.3-release

2026-04-15 21:11:47 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.3-RELEASE

2026-04-15 21:11:47 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2026-04-15 21:11:47 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.3-release SWIFT_VERSION=swift-6.3-RELEASE SWIFT_WEBROOT=https://download.swift.org

2026-04-15 21:12:37 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.3-release SWIFT_VERSION=swift-6.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete